#
# spec file for package perl-POE-Test-Loops
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-POE-Test-Loops
Version:        1.360
Release:        bp154.1.36
%define cpan_name POE-Test-Loops
Summary:        Reusable tests for POE::Loop authors
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/POE-Test-Loops/
Source:         http://www.cpan.org/authors/id/R/RC/RCAPUTO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 1.001002
Requires:       perl(Test::More) >= 1.001002
%{perl_requires}

%description
POE::Test::Loops contains one function, generate(), which will generate all
the loop tests for one or more POE::Loop subclasses.

The the /SYNOPSIS manpage example is a version of the poe-gen-tests
manpage, which is a stand-alone utility to generate the actual tests. the
poe-gen-tests manpage also documents the POE::Test::Loops system in more
detail.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES LICENSE README README.mkdn

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.360
  see /usr/share/doc/packages/perl-POE-Test-Loops/CHANGES
* Mon Jul 28 2014 coolo@suse.com
- updated to 1.358, see CHANGES for git log
- removed strip-dummy-provides.diff as it was done upstream
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.353
  Windows locks files and directories while they're open. It's not
  possible to unlink() them in this state.
  The file reset test tried to unlink() a test log to reset it. The
  unlink() was silently failing, and the test program was waiting
  indefinitely for the reset.
  Added a SKIP section around those tests so they don't run on Windows.
  Fixes welcome, because I'd really like Windows users to be able to
  detect file resets.
* Mon Aug  5 2013 coolo@suse.com
- updated to 1.351
    Make distribution self-tagging and version self-bumping. Thanks,
    Dist::Zilla!
    Fix the tag identifying regexp in dist.ini.
    Extended options for POE::Wheel::Run - tests patch
    Added ::Run redirection test
* Tue Dec 27 2011 dmueller@suse.de
- avoid incorrect perl provides by rpm provides finder
* Thu Dec 22 2011 coolo@suse.com
- updated to 1.350, see CHANGES
* Tue Jun 14 2011 coolo@suse.com
- updated to 1.312, see CHANGES
* Sun Feb  6 2011 lars@linux-schulserver.de
- update to 1.040:
  + Fix alarms tests to match POE's documentation
  + Eliminate Socket6 use from the tests
  + fix non-numeric comparison when using dev release
* Tue Nov 30 2010 coolo@suse.com
- switch to perl_requires macro
* Sat Apr 10 2010 lars@linux-schulserver.de
- update to 1.035
  + Updated the skip_tests() examples, and explain what's going
    on in each
  + Fix the followtail test to use File::Temp
  + many Cygwin test fixes
  + smaller fixes in some test scripts
* Fri Jan  1 2010 lars@linux-schulserver.de
- update to 1.031
* Sun Aug 30 2009 lars@linux-schulserver.de
- initial package version 1.021
